stringprep_utf8_to_unichar(3)

NAME
stringprep_utf8_to_unichar - API function

SYNOPSIS
#include <stringprep.h>

uint32_t stringprep_utf8_to_unichar(const char * p);

ARGUMENTS

const char * p
    a pointer to Unicode character encoded as UTF-8

DESCRIPTION
Converts a sequence of bytes encoded as UTF-8 to a Unicode character. If p does not point to a valid UTF-8 encoded character, results are undefined. Return value: the resulting character.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU Libidn home page: http://www.gnu.org/software/libidn/

COPYRIGHT
Copyright © 2002-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libidn/manual/